Fedora 28 ppc64le support

Description

Hi,
I see python-ovirt-engine-sdk4 failing on ppc64le for fc28 due to: "Unable
to find mock env" error.
I tend to think we should have ppc64le for fedora 28 but I see that mock
config are missing in jenkins and also the mirroring of the repos for
fedora 28 ppc64le are missing.

We should either drop ppc64le jobs for fc28 or add support for it. Adding
Ondra to share his thoughts on this.

SANDRO BONAZZOLA

ASSOCIATE MANAGER, SOFTWARE ENGINEERING, EMEA ENG VIRTUALIZATION R&D

Red Hat EMEA <https://www.redhat.com/>

sbonazzo@redhat.com
<https://red.ht/sig>

Activity

Show:
Evgheni Dereveanchin
June 8, 2018, 8:44 AM
Edited

Indeed, for Fedora 28 the only mock version is x86_64:
https://gerrit.ovirt.org/gitweb?p=jenkins.git;a=tree;f=mock_configs;h=c9b60023cd1bfb8195517c588de8a20ab4282c2b;hb=master

We can create a config based on the existing fedora-26-ppc64le if we decide to keep ppc64le on Fedora 28

Barak Korren
June 10, 2018, 7:08 AM

We never supported building on PPC64LE for anything other then EL7.

We can add support if it is desired, but since we managed without Fedora so far, do we really want to add support for it now?

Ondra Machacek
June 11, 2018, 7:59 AM

I am not aware anyone using it, so I think we don't have to do it now. Let's do it once someone request it.

Sandro Bonazzola
June 12, 2018, 8:34 AM

we want to expand testing for future updates, so I think having ppc64le support would be beneficial to the project.

Barak Korren
June 26, 2018, 1:02 PM

Adding as a blocker as implementing it will solve this organically.

Assignee

infra

Reporter

Sandro Bonazzola

Blocked By

None

Components

Priority

High
Configure